Bug 1685611 (CVE-2018-12547) - CVE-2018-12547 IBM JDK: buffer overflow in jio_snprintf() and jio_vsnprintf()
Summary: CVE-2018-12547 IBM JDK: buffer overflow in jio_snprintf() and jio_vsnprintf()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-12547
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20190301,repor...
Depends On: 1685117 1685111 1685112 1685113 1685114 1685115 1685116 1689835 1694579
Blocks: 1661579
TreeView+ depends on / blocked
 
Reported: 2019-03-05 16:18 UTC by Tomas Hoger
Modified: 2019-05-16 16:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-16 16:24:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0469 None None None 2019-03-06 21:52:47 UTC
Red Hat Product Errata RHSA-2019:0472 None None None 2019-03-07 15:58:47 UTC
Red Hat Product Errata RHSA-2019:0473 None None None 2019-03-07 15:58:53 UTC
Red Hat Product Errata RHSA-2019:0474 None None None 2019-03-07 15:59:07 UTC
Red Hat Product Errata RHSA-2019:0640 None None None 2019-03-25 18:25:38 UTC
Red Hat Product Errata RHSA-2019:1238 None None None 2019-05-16 13:25:32 UTC

Description Tomas Hoger 2019-03-05 16:18:18 UTC
IBM JDK 8 SR5 FP30 (8.0.5.30) and IBM JDK 7R1 SR4 FP40 (7.1.4.40) fix a flaw described by upstream as:

Eclipse OpenJ9 is vulnerable to a buffer overflow, caused by improper bounds checking by the jio_snprintf() and jio_vsnprintf() functions. By sending an overly long argument, a remote attacker could overflow a buffer and execute arbitrary code on the system or cause the application to crash.

OpenJ9 upstream bug and commit:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=543659
https://github.com/eclipse/openj9/commit/0971f22d88f42cf7332364ad7430e9bd8681c970

References:

https://www-01.ibm.com/support/docview.wss?uid=ibm10873332
https://developer.ibm.com/javasdk/support/security-vulnerabilities/#IBM_Security_Update_March_2019

Comment 1 errata-xmlrpc 2019-03-06 21:52:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:0469 https://access.redhat.com/errata/RHSA-2019:0469

Comment 2 errata-xmlrpc 2019-03-07 15:58:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:0472 https://access.redhat.com/errata/RHSA-2019:0472

Comment 3 errata-xmlrpc 2019-03-07 15:58:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:0473 https://access.redhat.com/errata/RHSA-2019:0473

Comment 4 errata-xmlrpc 2019-03-07 15:59:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:0474 https://access.redhat.com/errata/RHSA-2019:0474

Comment 5 Cedric Buissart 🐶 2019-03-18 13:18:37 UTC
Statement:

This issue affects the versions of the  java-1.8.0-ibm package as shipped with Red Hat Satellite 5. However, OpenJ9 is loaded only by taskomatic and Tomcat. These 2 processes are listening on the loopback interface only. This flaw is not known to be remotely exploitable under any supported scenario in Satellite 5.

Comment 6 errata-xmlrpc 2019-03-25 18:25:37 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8

Via RHSA-2019:0640 https://access.redhat.com/errata/RHSA-2019:0640

Comment 7 errata-xmlrpc 2019-05-16 13:25:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1238 https://access.redhat.com/errata/RHSA-2019:1238


Note You need to log in before you can comment on or make changes to this bug.